package splash_screen_on_boot;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class Main extends Application {

    private List<String> listFilesForFolder(File folder) {
        List<String> filesNames = new ArrayList<>();
        for (final File fileEntry : folder.listFiles())
        {
            filesNames.add(fileEntry.getName());
        }

        return filesNames;
    }

    private List<String> getNamesOfAllFxmls() throws IOException {
        String fxmlsFolderPath = getClass().getResource("fxmls/").getPath().replace("%20", " ");
        List<String> filesNames = listFilesForFolder(new File(fxmlsFolderPath));
        return filesNames;
    }

    private List<Parent> Boards;

    private void loadAllFxmls() throws IOException {
        Boards = new ArrayList<>();
        for (String filename : getNamesOfAllFxmls()) {
            Boards.add(FXMLLoader.load(getClass().getResource("fxmls/" + filename)));
        }
    }

    @Override
    public void start(Stage primaryStage) throws Exception{

        Parent root = FXMLLoader.load(getClass().getResource("fxmls/spalsh_screen_on_boot.fxml"));
        primaryStage.setTitle("Voting Station");
        primaryStage.setScene(new Scene(root, 560, 360));
        primaryStage.show();

        loadAllFxmls();
    }


    public static void main(String[] args) {
        launch(args);
    }
}
